Name:           mdp
Version:        0.7.4
Release:        2%{?dist}
Summary:        Minimalist password safe

# see REAMDE for and from BSD licensed files
License:        ISC and BSD
URL:            http://tamentis.com/projects/%{name}
Source0:        https://github.com/tamentis/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  ncurses-devel

# tests need some runtime driver
BuildRequires:  gnupg

# runtime functionality
Requires:       gnupg

%description
%{name} is a wrapper around GnuPG and a text editor, it includes a full-
screen pager with timeout (avoids passwords from lingering on screen) and
a password generator with profiles.


%prep
%setup -q
# preserve timestamps
sed -i -r "s|install |\0-p |" Makefile.src
# install under buildroot
sed -i -r "s|(install.*)(\\$\{PREFIX\})|\1\\$\\{DESTDIR\\}\2|" Makefile.src
# W: spurious-executable-perm
find tests -name \*.sh |xargs chmod 644


%build
%configure --debug --prefix=%{_prefix}
make %{?_smp_mflags}


%install
%make_install


%check
pushd tests
find . -name \*.sh |xargs chmod +x
# FIXME b0rken test
rm functional/test_generate_profile_iso.sh
# useless test fails in fedora-review/mock
rm functional/test_pager_timeout.sh
make %{?_smp_mflags} test-all
rm -f regress/lock/fake_lock
# exclude binaries from doc
make clean
find . -name \*.sh |xargs chmod -x


%files
%license LICENSE
%doc AUTHORS ChangeLog README TODO
%doc config.example
%doc tests/
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}



%changelog
* Fri Aug 14 2015 Raphael Groner <projects.rg@smart.ms> - 0.7.4-2
- mention BSD license
- preserve timestamps
- install into DESTDIR
- use correct name macro in description

* Sat Jul 25 2015 Raphael Groner <projects.rg@smart.ms> - 0.7.4-1
- initial
